curl --request GET \
--url https://api.topsort.com/public/v1/toppie/reporting/campaigns/{campaign-id} \
--header 'Authorization: Bearer <token>'{
"reports": [
{
"adSpend": 1,
"cpc": 123,
"ctr": 123,
"conversionRate": 123,
"impressions": 1,
"chargedImpressions": 1,
"clicks": 1,
"chargedClicks": 1,
"purchaseCount": 1,
"purchaseRevenue": 1,
"roas": 123,
"timegroup": "2023-12-25",
"cpm": 0,
"acos": 0
}
]
}Retrieve a detailed report for a specific campaign.
curl --request GET \
--url https://api.topsort.com/public/v1/toppie/reporting/campaigns/{campaign-id} \
--header 'Authorization: Bearer <token>'{
"reports": [
{
"adSpend": 1,
"cpc": 123,
"ctr": 123,
"conversionRate": 123,
"impressions": 1,
"chargedImpressions": 1,
"clicks": 1,
"chargedClicks": 1,
"purchaseCount": 1,
"purchaseRevenue": 1,
"roas": 123,
"timegroup": "2023-12-25",
"cpm": 0,
"acos": 0
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
Use this file to discover all available pages before exploring further.
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
The ID of the campaign.
The start date for which reports will be generated.
The end date for which reports will be generated.
Successful Response
Show child attributes
Was this page helpful?